\documentclass[border=15pt, multi, tikz]{standalone}
%\usepackage{blocks}
\usepackage{import}
\subimport{../../layers/}{init}
\usetikzlibrary{positioning}
\usetikzlibrary{3d} %for including external image 

\def\ConvColor{rgb:yellow,5;red,2.5;white,5}
\def\ConvReluColor{rgb:yellow,5;red,5;white,5}
\def\PoolColor{rgb:red,1;black,0.3}
\def\FcColor{rgb:blue,5;red,2.5;white,5}
\def\FcReluColor{rgb:blue,5;red,5;white,4}
\def\SoftmaxColor{rgb:magenta,5;black,7}

\begin{document}
\begin{tikzpicture}
\tikzstyle{connection}=[ultra thick,every node/.style={sloped,allow upside down},draw=\edgecolor,opacity=0.7]
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Draw Layer Blocks
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\node[canvas is zy plane at x=0] (temp) at (-4,0,0) {\includegraphics[width=8cm,height=8cm]{Figure_1.png}};

% conv1_1,conv1_2, conv1_3
\pic[shift={(0,0,0)}] at (0,0,0) {RightBandedBox={name=cr1,caption=Image,%
        xlabel={{"R","G","B"}},ylabel=640,zlabel=480,fill=\ConvColor,bandfill=\ConvReluColor,%
        height=40,width={2,2,2},depth=40}};
        
\node[canvas is zy plane at x=0] (temp) at (-4,-14,0) {\includegraphics[width=8cm,height=8cm]{Figure_8.png}};
        
% conv1_4
\pic[shift={(0,-14,0)}] at (0,0,0) {RightBandedBox={name=dr1,caption=Segmented Depth Mask,%
        ylabel=640,zlabel=480,fill=\ConvColor,bandfill=\ConvReluColor,%
        height=40,width={2},depth=40}};

%%%%%%%%%%
% conv2_1,conv2_2,conv2_3,conv2_4,conv2_5,conv2_6,conv2_6,conv2_6
\pic[shift={(4,0,0)}] at (cr1-east) {RightBandedBox={name=cr2,caption=CNN,%
        ylabel=80, zlabel= 60,fill=\ConvColor,bandfill=\ConvReluColor,%
        height=30,width={4,4,4,4,4,4,4,4},depth=30}};
%pool2
\pic[shift={(0,0,0)}] at (cr2-east) {Box={name=p2,%
        fill=\PoolColor,opacity=0.5,height=30,width=1,depth=30}};
        
        
% conv2_7,conv2_8
\pic[shift={(7,0,0)}] at (dr1-east) {RightBandedBox={name=dr2,caption=Point Net,%
        ylabel=80, zlabel= 60,fill=\ConvColor,bandfill=\ConvReluColor,%
        height=30,width={6,6},depth=30}};
%pool2
\pic[shift={(0,0,0)}] at (dr2-east) {Box={name=d2,%
        fill=\PoolColor,opacity=0.5,height=30,width=1,depth=30}};



%%%%%%%%%%
% conv3_1,conv3_2,conv3_3,conv3_4,conv3_5,conv3_6,conv3_7,conv3_8
\pic[shift={(4,-6,0)}] at (p2-east) {RightBandedBox={name=cr3,caption= RGBD Embedding ,%
        ,ylabel=80,zlabel=160, fill=\ConvColor,bandfill=\ConvReluColor,%
        height=20,width={5,5,5,5,5,5,5,5},depth=20}};
%pool3
\pic[shift={(0,0,0)}] at (cr3-east) {Box={name=p3,%
        fill=\PoolColor,opacity=0.5,height=15,width=1,depth=15}};
%%%%%%%%%%
% conv4_1
\pic[shift={(4,0,0)}] at (p3-east) {RightBandedBox={name=cr4,caption=Per Pixel Prediction,
        fill=\PoolColor,
        height=20,width={3},depth=20}};

    
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Draw Arrow Connections
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\draw [connection]  (p1-east)        -- node {\midarrow} (cr2-west);
\draw [connection]  (p2-east)        -- node {\midarrow} (cr3-west);
\draw [connection]  (p3-east)        -- node {\midarrow} (cr4-west);
\draw [connection]  (dr1-east)        -- node {\midarrow} (dr2-west);
\draw [connection]  (dr2-east)        -- node {\midarrow} (cr3-west);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\end{tikzpicture}
\end{document}
